POST
/pages/labelsList labels applied to a page
Lists the labels applied to a specific page. Supply pageId as a UUID or slug ID, and use the cursor fields to navigate the results. Use query to filter the labels returned for the page.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
Identifies the page whose labels to list and provides optional filtering and pagination criteria.
pageIdstringrequired
Page identifier (UUID or slug ID).
adminViewbooleanoptional
If `true`, the list includes all items the admin has global permissions to access by virtue of their admin role.
beforeCursorstringoptional
Set to `prevCursor` from the previous call to list the previous page. Ignored when `cursor` is also supplied.
cursorstringoptional
Set cursor to `nextCursor` returned by the previous call to list items in the next page.
limitintegeroptional
Maximum number of items to return per page.
querystringoptional
Optional text filter to search within the listed items (e.g. filter members by name).
200Returns a paginated list of labels applied to the page.
dataobjectoptional
statusintegeroptional
successbooleanoptional
403Returned when access to the page's labels is forbidden.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
404Returned when the page is not found.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 403 is returned when access to the page's labels is forbidden. A 404 is returned when the page is not found. pageId is required and must identify the page by UUID or slug ID.